/* Common Styles */
body, html {
  margin: 0;
  padding: 0;
  font-family: 'CutiveMono-Regular', serif; /* Use the same font name here */
}

@font-face {
  font-family: 'CutiveMono-Regular'; /* Use a unique name for your font */
  src: url('CutiveMono-Regular.ttf') format('ttf');
  /* You can also include other font formats like TTF and EOT */
  /* Make sure to specify correct file paths and formats */
}

/* Front Page Styles */
.front-page {
  background-color: black;
  position: relative;
  height: 100vh;
  overflow: hidden;
}

video {
  object-fit: cover;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.centered-title {
  top: 50%;
  left: 50%;
  position: absolute;
  color: white;
}

.animated-text {
  font-size: 3rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  animation: flipTitle 3.2s forwards;
}

@keyframes changeTitle {
  0%, 100% {
    transform: translate(-50%, -50%) rotateY(0deg);
  }
  50% {
    transform: translate(-50%, -50%) rotateY(90deg);
    opacity: 0;
  }
}

/* Nav */

.links {
  padding: 0 1vw;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  top: 20px;
  left: 20px;
  right: 20px;
  color: #000;
}

.link-icon {
  color: #000;
  font-size: 1.5rem;
  text-decoration: none;
  transition: color 0.3s;
}

.link-icon:hover {
  color: #1e1e1e;
}

.title-links {
  display: flex;
  align-items: center;
  justify-content: center;
}

.title-links a {
  color: #000;
  text-decoration: none;
  margin: 0 10px;
  font-size: 1.2rem;
  transition: color 0.3s;
}

.title-links a:hover {
  color: #1e1e1e;
  text-decoration: underline;
}


/* Work Page styles */
.image-grid {
  padding: 20px;
  text-align: center;
}

.image-container {
  padding-top: 2vh;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 2vw;
}

.image-container img {
  max-width: 100%;
  height: auto;
}
.image-box{
  padding: 0;
}

.image-box p {
  padding: 0 0vw;
}


/* About Page */

.about-container{
  display: flex;
  flex-direction: row;
  
  padding: 10vh 10vw;
  margin-top: 5vh;
}

.about-row-left{
  flex: 50%;
  padding: 10px;
}

.about-row-right{
  flex: 50%;
  padding: 10px;
}

.about-row-right img{
  width: 100%;
  height: auto;
}

.txtAbout{
  width: 100%;
}

/* iframe */

.iframe-container {
  position: relative;
  overflow: hidden;
  width: 100%;
  padding-top: 52.7%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */
}

.responsive-iframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
}

/* Responsive */

@media (max-width: 800px) {
  .about-container {
    flex-direction: column;
    padding: ;
  }
  .about-row-left, .about-row-right{
    flex: 100%;
  }
  image-container{
     padding-top: 0vh;
  }

}